'''
Created on Dec 12, 2010

@author: Bartosz Broda
'''

def document_contexts_generator(tokens, filename):
	"""
	A generator provided only for consistency reasons.
	
	>>> tokens = ['a', 'b', 'c', 'd', 'e', 'f', 'g']
	>>> gen = document_contexts_generator(tokens, 'filename')
	>>> gen.next()
	([], 'filename', ['a', 'b', 'c', 'd', 'e', 'f', 'g'])
	"""
	yield ([], filename, tokens)


if __name__ == '__main__':
	import doctest
	doctest.testmod()